import { ExecutableOpenAPIMiddlewareSecurity } from './types';
import type { OperationMiddlewareHandler } from 'executable-openapi-middleware';
import type { OperationExecutionResponse } from 'executable-openapi-types';
/**
 * Will create a middleware that validates the incoming request
 * against document's and operations security requirements.
 *
 * If the request does not meet the security requirements, the
 * middleware will directly return a 403 response. This behavior
 * is overidable with `forbiddenResponse` option.
 */
export declare const executableOpenAPIMiddlewareSecurity: <TExecutionContext>({ forbiddenResponse }?: ExecutableOpenAPIMiddlewareSecurity<TExecutionContext>) => OperationMiddlewareHandler<TExecutionContext>;
export declare const defaultForbiddenResponse: () => OperationExecutionResponse;
